ข้ามไปยังเนื้อหา

FILM

ผสานการทำงาน

ID โมเดล film
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/film?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

สูงสุด $4.68 ต่อการเรียกใช้ คิดค่าบริการตามการใช้งานจริง ส่วนที่เหลือจะคืนเงิน เรียกใช้ในหน้านี้

รับคีย์ API

แทรกเฟรมระหว่างภาพเริ่มต้นและภาพสิ้นสุด โดยส่งออกเฟรมระหว่างกลางเป็นภาพหรือวิดีโอ

Google · วิดีโอ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น start_image_url
วางไฟล์ หรือ

รูปภาพเริ่มต้นของการอินเทอร์โพเลชัน ซึ่งเป็นรูปแรกของคู่และระบุด้วย URL

•จำเป็น end_image_url
วางไฟล์ หรือ

รูปภาพสุดท้ายของการอินเทอร์โพเลชัน ซึ่งเป็นรูปที่สองของคู่และระบุด้วย URL

ขั้นสูง output_type · image_format · video_quality · video_write_mode · num_frames · fps · include_start · include_end · enable_safety_checker
output_type ค่าเริ่มต้น images

การเลือกเอาต์พุตระหว่างวิดีโอกับรูปภาพแต่ละรูป

image_format ค่าเริ่มต้น jpeg

การเลือกรูปแบบรูปภาพ ซึ่งใช้เฉพาะเมื่อ output_type เป็น 'images'

video_quality ค่าเริ่มต้น high

การเลือกคุณภาพวิดีโอ ซึ่งใช้เฉพาะเมื่อ output_type เป็น 'video'

video_write_mode ค่าเริ่มต้น balanced

โหมดการเขียนวิดีโอ ซึ่งใช้เฉพาะเมื่อ output_type เป็น 'video'

ค่าเริ่มต้น 1

จำนวนเฟรมระหว่างกลางที่สร้างขึ้นระหว่างรูปภาพที่ระบุ

ค่าเริ่มต้น 8

การตั้งค่าอัตราเฟรมวิดีโอ วัดเป็นเฟรมต่อวินาที และใช้เฉพาะเมื่อ output_type เป็น 'video'

POST /run/film?wait=20 ใบเสนอราคา → $4.68
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/film?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ FILM

สร้างเฟรมคั่นกลางระหว่างรูปภาพสองรูป ได้แก่ `start_image_url` และ `end_image_url` `num_frames` กำหนดจำนวนที่ต้องการสร้าง ตั้งแต่ 1 ถึง 64 `output_type` คือ รูปภาพ หรือ วิดีโอ สำหรับวิดีโอ จะใช้ `fps` (1 ถึง 60), `video_quality` และ `video_write_mode` ได้ `include_start` และ `include_end` จะเพิ่มรูปภาพต้นฉบับ

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
start_image_urlจำเป็น image
ประเภทurl · image
รูปภาพเริ่มต้นของการอินเทอร์โพเลชัน ซึ่งเป็นรูปแรกของคู่และระบุด้วย URL
end_image_urlจำเป็น end_image
ประเภทurl · image
รูปภาพสุดท้ายของการอินเทอร์โพเลชัน ซึ่งเป็นรูปที่สองของคู่และระบุด้วย URL
output_typeไม่บังคับ
ประเภทenum
ค่าเริ่มต้นimages
imagesvideo
การเลือกเอาต์พุตระหว่างวิดีโอกับรูปภาพแต่ละรูป
image_formatไม่บังคับ
ประเภทenum
ค่าเริ่มต้นjpeg
pngjpeg
การเลือกรูปแบบรูปภาพ ซึ่งใช้เฉพาะเมื่อ output_type เป็น 'images'
video_qualityไม่บังคับ
ประเภทenum
ค่าเริ่มต้นhigh
lowmediumhighmaximum
การเลือกคุณภาพวิดีโอ ซึ่งใช้เฉพาะเมื่อ output_type เป็น 'video'
video_write_modeไม่บังคับ
ประเภทenum
ค่าเริ่มต้นbalanced
fastbalancedsmall
โหมดการเขียนวิดีโอ ซึ่งใช้เฉพาะเมื่อ output_type เป็น 'video'
num_framesไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น1
1 – 64
จำนวนเฟรมระหว่างกลางที่สร้างขึ้นระหว่างรูปภาพที่ระบุ
include_startไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นfalse
ควบคุมว่าเอาต์พุตจะรวมรูปภาพเริ่มต้นหรือไม่
include_endไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นfalse
ควบคุมว่าเอาต์พุตจะรวมรูปภาพสุดท้ายหรือไม่
fpsไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น8
1 – 60
การตั้งค่าอัตราเฟรมวิดีโอ วัดเป็นเฟรมต่อวินาที และใช้เฉพาะเมื่อ output_type เป็น 'video'
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "film",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 4680,
    "usd": "4.68",
    "charged": 4680,
    "refunded": 0
  },
  "input": {
    "start_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
        "content_type": "video/mp4",
        "file_name": "0-output.mp4",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, content_type, file_name, file_size, width, height}รูปภาพแต่ละรูปที่มีเฟรมที่สร้างขึ้น
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames} | nullไฟล์วิดีโอที่สร้างขึ้น ซึ่งส่งคืนเมื่อกำหนด output_type เป็น 'video'

โมเดลเพิ่มเติม: ภาพเป็นวิดีโอ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/film.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt